From 7a03847db2760b59104b02e798739b224a44f019 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 22 2020 23:54:34 +0000
Subject: [PATCH 329/2232] Add ui test for unrecognized receiver type


---

diff --git a/tests/ui/unrecognized_receiver.rs b/tests/ui/unrecognized_receiver.rs
new file mode 100644
index 0000000..823bfcf
--- /dev/null
+++ b/tests/ui/unrecognized_receiver.rs
@@ -0,0 +1,8 @@
+#[cxx::bridge]
+mod ffi {
+    extern "C" {
+        fn f(self: &Unrecognized);
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/unrecognized_receiver.stderr b/tests/ui/unrecognized_receiver.stderr
new file mode 100644
index 0000000..a44bec1
--- /dev/null
+++ b/tests/ui/unrecognized_receiver.stderr
@@ -0,0 +1,5 @@
+error: unrecognized receiver type
+ --> $DIR/unrecognized_receiver.rs:4:20
+  |
+4 |         fn f(self: &Unrecognized);
+  |                    ^^^^^^^^^^^^^

